import {request} from '../utils/request'

// 查询劳资投诉列表
export function list(data) {
	return request({
		url: '/wechat/flow/flowLabour/list',
		method: 'get',
		data: data
	})
}

// 统计劳资投诉信息
export function findGroupCountByApprove(data) {
	return request({
		url: '/wechat/flow/flowLabour/findGroupCountByApprove',
		method: 'get',
		data: data
	})
}

// 查询劳资投诉进度
export function findMyFlowLabourNodes(flowId) {
	return request({
		url: '/wechat/flow/flowLabour/findMyFlowLabourNodes/'+flowId,
		method: 'get'
	})
}

//劳资投诉审批
export function submitFlowLabour(data) {
	return request({
		url: '/wechat/flow/flowLabour/submitFlowLabour',
		method: 'post',
		data: data
	})
}

// 获取劳资投诉详细信息
export function getInfo(flowId) {
	return request({
		url: '/wechat/flow/flowLabour/info/'+flowId,
		method: 'get'
	})
}