import {request} from '../utils/request'

// 获取验证码
export function getCodeImg() {
	return request({
		url: '/wechat/captchaImage',
		method: 'get',
	})
}

// 登录方法
export function login(data) {
	return request({
		url: '/wxApi/login',
		method: 'post',
		data: data,
	})
}

// 登录方法
export function updatePwd(data) {
	return request({
		url: '/wxApi/updatePwd',
		method: 'post',
		data: data,
	})
}

// 用户退出方法
export function loginOut() {
	return request({
		'url': '/wechat/loginOut',
		'method': 'get'
	})
}

// 查询公众号消息授权
export function findOpenUserMsgId(openId) {
	return request({
		'url': '/wechat/findOpenUserMsgId/'+openId,
		'method': 'get'
	})
}

// 删除公众号消息授权
export function delOpenUserMsgId(openId) {
	return request({
		'url': '/wechat/delOpenUserMsgId/'+openId,
		'method': 'get'
	})
}