import {request} from '../utils/request'

// 项目文件传达列表
export function fileList(data){
	return request({
		url: '/wechat/projectFiles/list',
		method: 'get',
		data: data
	})
}

// 根据条件统计项目文件传达
export function findCountByType(data){
	return request({
		url: '/wechat/projectFiles/findCountByType',
		method: 'get',
		data: data
	})
}

// 文件阅读
export function readFile(id){
	return request({
		url: '/wechat/projectFiles/readFile/'+id,
		method: 'get'
	})
}